
precision highp float;

varying vec2 st;
uniform sampler2D inputImageTexture;
uniform float grain;
uniform vec2 size;

float random (vec2 st) {
    return fract(sin(dot(st.xy,
    vec2(12.9898,78.233)))*43758.5453123) - 0.5;
}

void main() {
    //    vec2 st = textureCoordinate;
    vec4 color = texture2D(inputImageTexture, st);
    vec2 uv = st - mod(st, vec2(1. / size.x, 1. / size.y));
    //    vec2 uv = ceil(st / vec2(1. / size.x, 1. / size.y)) * vec2(1. / size.x, 1. / size.y);
    //    float rnd = random(uv) / 20. * grain;
    float x = (uv.x + 4.0) * (uv.y + 4.0) * 10.0;
    vec4 rnd = vec4(mod((mod(x, 13.0) + 1.0) * (mod(x, 123.0) + 1.0), 0.01) - 0.005) * grain;

    gl_FragColor = color + rnd;
    //    gl_FragColor = vec4(1.);
}