precision highp float;

varying highp vec2 textureCoordinate;
varying highp vec2 textureCoordinate2;

uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;

uniform float opacity;

void main()
{
    vec4 base = texture2D(inputImageTexture, textureCoordinate);

    vec4 overlay = texture2D(inputImageTexture2, textureCoordinate2);

    gl_FragColor = mix(base, base + 2. * overlay - vec4(1.), overlay.a * opacity);

}