precision highp float;

varying highp vec2 textureCoordinate;
varying highp vec2 textureCoordinate2;

uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;

uniform float opacity;

void main()
{
    vec4 c2 = texture2D(inputImageTexture, textureCoordinate);
    vec4 c1 = texture2D(inputImageTexture2, textureCoordinate2);

    vec4 outputColor;
    outputColor.rgb = mix(c2.rgb, c1.rgb, c1.a * opacity);
    outputColor.a = c2.a;

    gl_FragColor = outputColor;
}