precision highp float;


varying vec2 st;
uniform sampler2D inputImageTexture1;
uniform sampler2D inputImageTexture2;
uniform sampler2D maskTexture;

uniform float opacity;


void main() {

    vec4 col1 = texture2D(inputImageTexture1, st);
    vec4 col2 = texture2D(inputImageTexture2, st);
    vec3 col = mix(col1.rgb, col2.rgb, opacity * texture2D(maskTexture, st).r);

    gl_FragColor = vec4(col, col1.a);
}