precision highp float;

varying vec2 st;
uniform sampler2D inputImageTexture;
uniform sampler2D hairColorTexture;

float rgb2gray(vec3 color){
    return dot(color, vec3(0.299, 0.587, 0.114));
}

void main() {
    vec4 color = texture2D(inputImageTexture, st);
    vec4 hairColor = texture2D(hairColorTexture, st);
    gl_FragColor = vec4(hairColor.rgb * color.a, color.a);
}
