precision highp float;


varying highp vec2 st;
uniform sampler2D inputImageTexture;
uniform vec2 size;
uniform float grain;
uniform float seed;

void main() {
    //    vec2 st = textureCoordinate;
    vec4 color = texture2D(inputImageTexture, st);
    vec2 uv = st - mod(st, vec2(1. / size.x, 1. / size.y));
    //    vec2 uv = ceil(st / vec2(1. / size.x, 1. / size.y)) * vec2(1. / size.x, 1. / size.y);
    //    float rnd = random(uv) / 20. * grain;
    float x = (uv.x + 4.0) * (uv.y + 4.0) * 24.0 + seed;
    float rr = (mod((mod(x, 13.0) + 1.0) * (mod(x, 123.0) + 1.0), 0.01) - 0.005) * grain;
    float rg = (mod((mod(x, 216.0) + 1.0) * (mod(x, 43.0) + 1.0), 0.01) - 0.005) * grain;
    float rb = (mod((mod(x * 9., 21.0) + 1.0) * (mod(x, 17.0) + 1.0), 0.01) - 0.005) * grain;

    color.rgb += vec3(rr, rg, rb);
    gl_FragColor = color;
}