precision highp float;

varying vec2 st;

uniform sampler2D inputImageTexture;

uniform sampler2D inputImageTexture2;

uniform float offset;

uniform float pos;

//uniform vec2 viewSize;

//uniform vec2 texSize;

//uniform vec2 size;


//uniform float intensity;
void main() {

    vec2 uv = st - vec2(0.0, pos);
//
//    uv = vec2(uv.x, mod(uv.y + 1.0 - offset * 2.0, 1.0 * 2.0));
//    uv.y = mix(uv.y, 1.0 * 2.0 - uv.y, step(1.0, uv.y));

    vec4 col1 = texture2D(inputImageTexture, uv);

    vec2 uv2 = vec2(uv.x, mod(uv.y + 1.0 - offset * 2.0, 1.0 * 2.0));
    uv2.y = mix(uv2.y, 1.0 * 2.0 - uv2.y, step(1.0, uv2.y));

    vec4 col2 = texture2D(inputImageTexture2, uv2);

    //    gl_FragColor = col2;
    gl_FragColor = mix(col2, col1, smoothstep(offset - 0.01, offset + 0.01, st.y));

}